## golang-github-erikdubbelboer-gspt 0.0~git20160520.0.9055324

=== Makefile ===

all:


go/bin/go:
	curl -O "http://go.googlecode.com/files/go1.1.2.src.tar.gz"
	tar -xzf go1.1.2.src.tar.gz
	rm go1.1.2.src.tar.gz
	cd go/src && ./all.bash

deps: go/bin/go


test: deps
	GOPATH=`pwd`/deps ./go/bin/go test


.PHONY: all test

=== test/Makefile ===

all: test


test: test.go
	GOPATH=`pwd`/deps ./go/bin/go build $^


clean:
	GOPATH=`pwd`/deps ./go/bin/go clean

distclean: clean
	rm -rf deps/pkg/*

go/bin/go:
	curl -O "http://go.googlecode.com/files/go1.1.2.src.tar.gz"
	tar -xzf go1.1.2.src.tar.gz
	rm go1.1.2.src.tar.gz
	cd go/src && ./all.bash

deps: go/bin/go
	GOPATH=`pwd`/deps ./go/bin/go get github.com/ErikDubbelboer/gspt


.PHONY: all clean distclean deps

## golang-github-erikdubbelboer-gspt 0.0~git20151120.0.bbaae60

=== debian/changelog ===
golang-github-erikdubbelboer-gspt (0.0~git20151120.0.bbaae60-1) unstable; urgency=medium

  * Initial release (Closes: #817097)

 -- Peter Colberg <peter@colberg.org>  Tue, 08 Mar 2016 09:18:28 -0500

=== debian/control ===
Source: golang-github-erikdubbelboer-gspt
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Peter Colberg <peter@colberg.org>
Build-Depends: debhelper (>= 9), dh-golang (>= 1.10~), golang-go
Standards-Version: 3.9.7
Homepage: https://github.com/ErikDubbelboer/gspt
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-erikdubbelboer-gspt.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-erikdubbelboer-gspt.git
XS-Go-Import-Path: github.com/ErikDubbelboer/gspt

Package: golang-github-erikdubbelboer-gspt-dev
Architecture: all
Depends: golang-go, ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: setproctitle for Go
 This package provides a function for setting the title of a process.

## golang-github-erikdubbelboer-gspt 0.0~git20160520.0.9055324

=== debian/changelog ===
golang-github-erikdubbelboer-gspt (0.0~git20160520.0.9055324-1) unstable; urgency=medium

  * New upstream snapshot, fixing FTBFS when there is no controlling tty.
  * Add myself to uploaders.
  * Update standards version to 3.9.8 (no changes).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 26 May 2016 11:36:49 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: devel
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Peter Colberg <peter@colberg.org>
+Uploaders: Peter Colberg <peter@colberg.org>,
+           Michael Hudson-Doyle <michael.hudson@ubuntu.com>
 Build-Depends: debhelper (>= 9), dh-golang (>= 1.10~), golang-go
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/ErikDubbelboer/gspt
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-erikdubbelboer-gspt.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-erikdubbelboer-gspt.git

=== debian/rules ===
#!/usr/bin/make -f

# Exclude unused manually-run test executable
export DH_GOLANG_EXCLUDES := test

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-erikdubbelboer-gspt 0.0~git20161002.0.6ce3e9d

=== debian/changelog ===
golang-github-erikdubbelboer-gspt (0.0~git20161002.0.6ce3e9d-1) unstable; urgency=medium

  * New upstream snapshot
  * Bump debhelper compat level to 10
  * Build-depend on golang-any instead of golang-go
  * Drop dependency on golang-go from -dev package
  * Adjust DH_GOLANG_EXCLUDES to renamed directory

 -- Peter Colberg <peter@colberg.org>  Sat, 19 Nov 2016 23:22:35 -0500

golang-github-erikdubbelboer-gspt (0.0~git20160520.0.9055324-2) unstable; urgency=medium

  * Remove Built-Using field from -dev package

 -- Peter Colberg <peter@colberg.org>  Sat, 24 Sep 2016 00:13:07 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Peter Colberg <peter@colberg.org>,
            Michael Hudson-Doyle <michael.hudson@ubuntu.com>
-Build-Depends: debhelper (>= 9), dh-golang (>= 1.10~), golang-go
+Build-Depends: debhelper (>= 10), dh-golang (>= 1.10~), golang-any
 Standards-Version: 3.9.8
 Homepage: https://github.com/ErikDubbelboer/gspt
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-erikdubbelboer-gspt.git
@@ -13,7 +13,6 @@
 
 Package: golang-github-erikdubbelboer-gspt-dev
 Architecture: all
-Depends: golang-go, ${misc:Depends}, ${shlibs:Depends}
-Built-Using: ${misc:Built-Using}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: setproctitle for Go
  This package provides a function for setting the title of a process.

## golang-github-erikdubbelboer-gspt 0.0~git20210805.ce36a51

=== debian/changelog ===
golang-github-erikdubbelboer-gspt (0.0~git20210805.ce36a51-1) unstable; urgency=medium

  * Team upload

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints
  * Remove constraints unnecessary since buster

  [ Shengjing Zhu ]
  * Add uscan watch file
  * New upstream version 0.0~git20210805.ce36a51
  * Update section to golang
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Update debhelper-compat to 13
  * Update Standards-Version to 4.6.2 (no changes)
  * Add Rules-Requires-Root
  * Add autopkgtest-pkg-go
  * Add github.com/erikdubbelboer/gspt as symlink

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 07 Feb 2023 10:27:28 +0800

=== debian/control ===
Source: golang-github-erikdubbelboer-gspt
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Peter Colberg <peter@colberg.org>,
           Michael Hudson-Doyle <michael.hudson@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any
Standards-Version: 4.6.2
Homepage: https://github.com/ErikDubbelboer/gspt
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-erikdubbelboer-gspt
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-erikdubbelboer-gspt.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/ErikDubbelboer/gspt,
                   github.com/erikdubbelboer/gspt

Package: golang-github-erikdubbelboer-gspt-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: foreign
Description: setproctitle for Go
 This package provides a function for setting the title of a process.

=== debian/rules ===
#!/usr/bin/make -f

# Exclude unused manually-run test executable
export DH_GOLANG_EXCLUDES := example

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/erikdubbelboer/gspt \
  HEAD
